boost::geometry::traits::radius_type< Geometry > Struct Template Reference
traits: adapt geometries

Traits class indicating the type (double,float,...) of the radius of a circle or a sphere. More...

## Detailed Description

### template<typename Geometry>
struct boost::geometry::traits::radius_type< Geometry >

Traits class indicating the type (double,float,...) of the radius of a circle or a sphere.

Geometries:
  - n-sphere (circle,sphere)
  - upcoming ellipse

Specializations should provide:
  - typedef T type (double,float,int,etc)

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK